org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_ICONTABBARNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_ICONTABBARNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_ICONTABBARNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_ICONTABBARNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_ICONTABBARNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_ICONTABBARNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_ICONTABBARNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_ICONTABBARNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_ICONTABBARNode` | `bindExpandable(IDynamicContentBindingObject value)`
    `UI5M_ICONTABBARNode` | `bindExpanded(IDynamicContentBindingObject value)`
    `UI5M_ICONTABBARNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_ICONTABBARNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_ICONTABBARNode` | `bindSelectedkey(IDynamicContentBindingObject value)`
    `UI5M_ICONTABBARNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_ICONTABBARNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_ICONTABBARNode` | `bindUppercase(IDynamicContentBindingObject value)`
    `UI5M_ICONTABBARNode` | `setActionListener(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setComment(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setExpandable(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setExpanded(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setId(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setReference(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setRendered(boolean value)`
    `UI5M_ICONTABBARNode` | `setRendered(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setSelectedkey(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setStyleseq(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setStylevariant(java.lang.String value)`
    `UI5M_ICONTABBARNode` | `setUppercase(boolean value)`
    `UI5M_ICONTABBARNode` | `setUppercase(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_ICONTABBARNode

          public UI5M_ICONTABBARNode()

  - ### Method Detail

    - #### setId

          public UI5M_ICONTABBARNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_ICONTABBARNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_ICONTABBARNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_ICONTABBARNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_ICONTABBARNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_ICONTABBARNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_ICONTABBARNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_ICONTABBARNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_ICONTABBARNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_ICONTABBARNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setExpandable

          public UI5M_ICONTABBARNode setExpandable(java.lang.String value)

    - #### bindExpandable

          public UI5M_ICONTABBARNode bindExpandable(IDynamicContentBindingObject value)

    - #### setExpanded

          public UI5M_ICONTABBARNode setExpanded(java.lang.String value)

    - #### bindExpanded

          public UI5M_ICONTABBARNode bindExpanded(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_ICONTABBARNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_ICONTABBARNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_ICONTABBARNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_ICONTABBARNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_ICONTABBARNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_ICONTABBARNode setRendered(boolean value)

    - #### setSelectedkey

          public UI5M_ICONTABBARNode setSelectedkey(java.lang.String value)

    - #### bindSelectedkey

          public UI5M_ICONTABBARNode bindSelectedkey(IDynamicContentBindingObject value)

    - #### setStyleseq

          public UI5M_ICONTABBARNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_ICONTABBARNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_ICONTABBARNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_ICONTABBARNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setUppercase

          public UI5M_ICONTABBARNode setUppercase(java.lang.String value)

    - #### bindUppercase

          public UI5M_ICONTABBARNode bindUppercase(IDynamicContentBindingObject value)

    - #### setUppercase

          public UI5M_ICONTABBARNode setUppercase(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.